Subject: bug#42321: qgis PyQgsExpressionBuilderWidget test fails

From: Wiktor Żelazny <[email-masked]>
Date: Fri, 17 Jul 2020 19:20:29 +0200

On Fri, Jul 17, 2020 at 05:59:36PM +0200, Guillaume Le Vaillant wrote:
>
> Do you get this test failure every time, or does it fail randomly?

Hi,

Thanks for taking a look.

I attempted to build it twice with some weeks in between, hoping that
the issue disappears as the package definition gets revised or some
inputs change. It has never built successfully, though, until I disabled
the offending test.

As I was thinking about it, I began to suspect that the problem might be
caused by outdated input definitions in my private channel. Before qGIS
became officially available, I used the channel to install it, and the
dependencies are still there. Perhaps, Guix has been using those to
build qGIS rather than the ones from the main channel. I’ll try to check
it out next week.

WŻ